Introduction

Super Finder XT: Introduction

 Next

Thank you for using Super Finder XT!

We hope that be useful for you and will remain satisfied with this utility.

Description:

Super Finder XT is a powerful replacement for Windows™ built-in search.

With Super Finder XT, you can search files, folders and other data efficiently and easily.

Super Finder XT can be used for locating files or folders in the file system and directory tree with an extensive set of criteria.

Files or folders can be located by name, location, size, date and time, or content of the file.

All versions include these advanced features:

Idea Works with Windows 7 and Vista.

Idea Works with 64-bit Systems.

Idea More search speed (compared with standard search).

Idea "True" search text in file (also Unicode!).

Idea Search for hexadecimal pattern in file.

Idea Full wild card support.

Idea Smart Search plugin: allow to search for similar names without type the asterisk (*) and the question mark (?) wild card characters at the begin, end or middle of partial file name or extension to search.

Idea Exclusion list, by file extensions or full/partial name.

Idea Selectable search also for folders.

Idea Remember all last settings (selectable).

Idea Shell integration (right-click contextual menu on drives and folders).

Idea Drag & Drop (or Copy) of found files.

Idea Right click on found files: activate the Explorer contextual popup menu.

Idea One-click file operations: Open, Copy, Delete, Explore, Rename, Properties.

Idea Multiple Super Finder XT instances.

Idea Automatic (and/or manual) check for program updates.

Idea Changeable color themes (Skins).

Idea Multi language interface: English, Italian, Romanian, Dutch, French, Spanish, Galician, Croatian, German, Simplified Chinese, Russian, Slovak, Arabian, Traditional Chinese, Portuguese (Brazil), Serbian, Polish, Ukrainian, Valencian, Japanese, Hungarian, Swedish and Vietnamese. Read here if you want to translate into other languages or dialects.

Idea Character Set management to support translation into non-Latin languages (for example: Russian, Chinese, etc.).

Idea Free support forum for help, bugs report or requests.

Supporters version has these added benefits:

Idea Multiple items selection. With this feature you can delete, copy, show properties, open (execute), explore and drag and drop (copy) of multiple files.

Idea MRU (most recent used) management for all edit fields (file name, excluded files, search pattern and path).

Idea Capability to use the any char "?" wildcard for search contents.

Idea Recycle Bin Deep Scan option.

Idea List of paths to exclude from search (Speed-Up).

Idea Search Result Printing (with customizable fonts an layout).

Idea Search Result Exporting (to MS Excel™, Text file, HTML file or clipboard).

Idea Search Rules management (create, load and save customized search rules).

Idea Portable mode installation (new): allow Super Finder XT to run on a portable device (Removable HD, USB Pen Disk, etc.).

Idea Program activation by pressing a customizable hot key on keyboard.

Idea And much more...

Awards:

Super Finder has received some awards from various freeware publishing sites.

Continue to:

· Basic guide
· Advanced guide
· Search examples
· Contacts

If you think that my work is useful for you, and want to support his future development, consider to donate (how much do you want) through PayPal.

Smail Thanks! - FSL - Freesoftland


Awards

Some "Five stars" awards that Super Finder XT has received from freeware publishing sites:

5starsawardb | award5 | filebuzz | award5b
5starsawardc | onekit | ivertechstar5Award |
 | daolnwod5stars | sofotex

Some "Vista compatible" awards:

Some "Clean & Safe" awards:

super+finder+xt |  | cert
 | softpedia |


Translations

Languages currently shared with Super Finder XT:

Arabic | Arabic | Awadh A Al-Ghaamdi
cns | Chinese, Simplified | Heat.ray
tw | Chinese, Traditional | Chu
cro | Croatian | Ljupko Milović
ned | Dutch | Peter Zwitser
eng | English | FSL
fra | French | Pierre le Lidgeu
gal | Galician | Xosé Antón Vicente Rodríguez
ger | German | M. Barkhahn
Hungarian | Hungarian | Ronyn
ita | Italian | FSL
Japan | Japanese | Tilt
Poland | Polish | Zbigniew Góra
Brazil | Portuguese (Brazil) | Gustavo Carvalho
rmn | Romanian | MunteAlb
rus | Russian | Molotov
Serbian | Serbian | Dootzky
Slovakia | Slovak | Laki
esp | Spanish | HispánicoWeb
Sweden | Swedish | Örjan Toräng
Ukraine | Ukrainian | Boyco
valencian | Valencian | Vjatv
Vietnam | Vietnamese | Super_VIP_IT

Many thanks to these Freesoftland friends for the translations.

How to translate Super Finder XT:

If you can translate Super Finder XT into your language, follow these steps: (this example for "Portuguese")

· Copy the "Translation.lng" file (located into the "Languages" directory) renaming into your language.

e.g. "Translation.lng" à "Portuguese.lng"
· Open this new file with Notepad (or other text editor of your choice) and translate all words or phrases after the equal (=) character of definition lines.

e.g. For "Search" button: "MainForm.B_Find.caption=Search" à "MainForm.B_Find.caption=Busca" (without example quotes)
· To test the layout: put the "Portuguese.lng" file into the "SuperFinder.lng" folder (located into program directory) then restart Super Finder XT and select your language from setup.
· When translation has done, send the translated file to freesoftland@hotmail.it. Thanks a lot!


Contacts

FSL - Freesoftland

home Home Page

http://fsl.sytes.net or http://Freesoftland.sytes.net

Blog Our New's Blog

http://fsl-Freesoftland.blogspot.com

mail E-Mail

freesoftland@hotmail.it or freesoftland@gmail.com (only English or Italian)

Please, include in the Subject field of mail the word:

· TRANSLATION

if you want to translate someone of my programs
· FEEDBACK

for feedback on programs
· BUG

if you want to report bug in programs
· REQUEST

if you want to request new features
· OTHER

for others things

Free link the Freesoftland Home Page from your site:

· Copy this image into your site:

fsl

· Add this code to your page:

<a href="http://fsl.sytes.net"><img src="FSL.gif"></a>
· Thank You!


Donate

Dear friend,

thank you for using this program... If you think that my work is useful for you, and want to support his future development, consider to donate (how much do you want) through PayPal and become a Supporter of Freesoftland; a user with highest priority for bugs resolution and enhancement request consideration.

To all Supporters I will donate all special and enhanced version of Freesoftland products (Super Finder XT included), as a thanks for their support.

SmailBig Thanks!

click to donate

End User License

This software is totally free for non-commercial use; if commercial use is needed, please contact us at: freesoftland@hotmail.it

Permission is granted to anyone to use this software for non-commercial use; if permission for commercial use is needed, please contact us at our Email address: freesoftland@hotmail.it

Except where otherwise noted, all of the documentation and software included in this package is copyrighted by FSL-Freesoftland.

This software is provided "as-is," without any express or implied warranty. In no event shall the author be held liable for any damages arising from the use of this software.


Basic guide

Super Finder XT: Basic guide

Exploring the GUI:

There are four major areas on the GUI (Graphic User Interface) of Super Finder XT:

1. Ribbon Menu with seven tabs
2. Operating panel (search parameters area, foun files list or options)
3. Application Menu and Quick Access toolbar
4. Status Bar

Below is the GUI of Super Finder XT:

Note 1: only six tabs will be displayed when Super Finder XT operate in Simple mode (see below).

Note 2: this screenshot is taken from the Supporters version of Super Finder XT; the standard version may have some small difference.

Two operating modes:

Super Finder XT can operate in two modes: Simple (default mode) and Advanced.

The Simple and the Advanced mode can be toggled by clicking on the "Advanced" or "Simple" buttons located on the Ribbon menu, near the "Search" button:

Simple Mode

Advanced Mode

The "Search for..." tab:

The Ribbon Menu button area contains these buttons:

· Search: Begin the search.
· Advanced or Simple: toggle between the Simple or Advanced mode.
· Exclude: If checked, enable the exclude file masks.
· Find Content: If checked, enable the search for a phrase (the Content Field) into all found files.
· Text, Unicode or Hexadecimal: Use this option to select the phrase data format.
· Whole Word: If checked, Super Finder XT searches for whole words only.
· Ignore Case: If checked, the Super Finder XT performs a case insensitive search to locate the phrase inside the file.
· Use ? wildcard: If checked, the question mark (?) can be used as wild card for special searches. (Supporters version only)
E.g. to search text into WordPerfect™ 5 DOS version, which use different symbols character set: if you search for "ABC-DEF" you must type "ABC?DEF" to found the text you search for.
· File and / or Folders: If checked, subfolders of the target folders specified in "Path or Location" will be included in the search.
· Include Subfolders: If checked, perform search into subfolders of all specified locations of path masks.
· Recycle Bin deep scan: If checked, perform specialized scan into all Recycle Bins of all logical drives. (Supporters version only).

The Operating Panel area contains these fields and buttons:

· File Name edit field: Specifies the target filename masks separated by semicolon ( ; )
· Exclude edit field: Contains list of files that should be excluded from the search result. Wild cards ( *, ? ) can be used for Drive and filename.
Remember to uncheck the Exclude button if you do not need this feature.
· Find Content edit field: Specifies the phrase that should be located in the content of the file(s).
Remember to uncheck the Find Content button if you do not need this feature.
· Path or Locations edit field: Determines the target path masks separated by semicolon ( ; )
· Predefined... button: show the panel of predefined paths that can be copied into the oath or locations edit field.

The panel of the predefined paths

· Browse... button: show the panel of predefined paths that can be copied into the oath or locations edit field.

Supporters version only:

All four edit fields (File Name, Exclude, Find Content and Path or Locations) have an MRU (Most Recent Used) management. You can select up to last 16 typed entry.

The "List" tab:

The list tab show the Found Files list and the related items actions buttons bar:

The Ribbon Menu button area contains these buttons:

· Search for...: Switch to "Search for..." tab.
· Stop: Stop the search and show a partial list of files (if found any).
· Open: Execute associated application for selected file.
· Explore: Browse folder containing selected file.
· Copy...: Copy selected file to specific path or location.
· Delete: Delete selected file or folder.
· Rename: Rename selected file.
· Properties: Show properties of selected file or folder.

Supporters version only:

All the buttons related commands (except for Rename) can operate for more than one file or folder.

The Operating Panel area contains the Found Files list. Features:

· The Found Files list shows the result of the search.
· The list can be sorted by Name, Location, Size or Last Changes date and time by clicking on respective column headers.
· From this list, you can drag and drop the selected file to Desktop or any folder of your choice.
· Right-click contextual menu is also available for each item of list.

Supporters version only:

Is possible to select more than one item on the Found Files list; with this feature you can:

· Delete multiple files or folder (suitable e.g. for disk cleaning, by searching and removing temporary files).
· Copy multiple files or folder to specific path.
· Show properties for all selected items.
· Open multiple items with associated programs.
· Explore (open) multiple folders containing selected items.
· Drag and drop (copy) multiple items from various source paths to specific path.

Note: Copy, Explore, Open, Delete and Properties operation are available even trough right click contextual menu.

The Application Menu and the Quick Access toolbar:

The application menu can be opened by a single click on the top-left round button (a double click on this button close the application):

Two panes are presents, the buttons pane and the Recent opened Rules list pane.

The "Search Rules" submenu:

· New Search: Clear all search parameters and begin a new Simple search session.
· Open Search Rules: Open a previously saved search rules.
· Save Search Rules: Save (overwrite) the current search rules (Supporters edition only).
· Save Search Rules As...: Save the current search rules with a new name (Supporters edition only).

"Copy List to Clipboard" dialog:

From this dialog you can choose which data to copy.

The "Export List To" submenu:

· Export List to Plain Text File: Export the current found files list to plain text file (Supporters edition only).
· Export List to MS Excel File: Export the current found files list to MS Excel file (Supporters edition only).
· Export List to HTML File: Export the current found files list to HTML file (Supporters edition only).

The "Print..." submenu:

· Printer Setup...: Printer selection.
· Page Setup...: Page settings for the current selected printer.
· Print Settings / Preview: Open the print settings and preview window (Supporters edition only).
· Print: Print the current found files list (Supporters edition only).

The Print Preview window:

From this window you can setup the header / footer of document, the margins, borders options and fonts used by headers and body.

Can also be selected the printing layout (with a "Copy List To Clipboard" similar dialog).

Quick Access toolbar:

There are four buttons in the Quick Access toolbar:

· New Search: Clear all search parameters and begin a new Simple search session.
· Open Search Rules: Open a previously saved search rules.
· Save Search Rules: Save (overwrite) the current search rules (Supporters edition only).
· Save Search Rules As...: Save the current search rules with a new name (Supporters edition only).

The Status Bar:

The status bar show some fields:

1. Language indicator and Button (click to change language)
Excluded paths indicator and button (click to select paths). Supporter Edition only.
2. Status message (when idle) and search in progress bar (when searching).
3. Current date and time. Useful to compare with date/time column items.
4. When searching, contains a small search animation.

Continue to:

· Advanced guide
· Search examples
· Contacts


Wild cards

Two DOS expressions can be used into some edit fields that will probably be intuitive to most of you.

The first is the asterisk which is a symbol (*) commonly found above the "8" key on the US keyboards. The asterisk widely is known as a "wild card". The asterisk represents any group of characters or no characters.

The other DOS expression is the question mark (?). It functions in a manner similar to the asterisk. Instead of representing groups of characters, the question mark represents any single character.


Filename masks

The Filename masks specify a list of target filenames separated by semicolon ( ; ).

Some examples:

Mask without smart search | Mask with smart search | Scope
*.txt ; *.doc ; *.wri | txt ; doc ; wri | Search for all text, doc and WordPad files
my*.txt | my.txt | Search for all text files that begin with "my"
*.b* | .b | Search for files with extension that begin with "b" (e.g. .bas, .bin, etc.)
*where*.* | where | Search for all files that contain the word "where" into filename
*.da? | .da | Search for files like .dat, .dar, .dac, etc.


Exclude file masks

The Exclude file masks contain list of files that should be excluded from the search result, separated by semicolon ( ; ).

Example:

Mask | Scope
*.txt | Ignores all text files in any folder and drive
C:\*.txt | Ignores all text files in root of drive C:
?:\*.txt | Ignores all text files in root of any drive
C:lib\*.txt | Ignores all text files in lib subfolder of any folder of drive C:
lib\*.txt | Ignores all text files in lib subfolder of any folder of any drive
C:\lib\*.txt | Ignores all text files in lib subfolder of root of drive C:
*:\lib\*.txt | Ignores all text files in lib subfolder of root of any drive
*.txt ; *.DOC ; *.WRI | Ignores all text, DOC or WordPad files in any folder and drive


Content field

The Content field contains the data to be searched into all found files.

Three modes are supported: Text, Unicode and Hexadecimal:

Text: | To search plain text into text or document files.
Unicode: | To search e.g. for a string into resource section of a file.
Hexadecimal: | To search a pattern into nontext files or special files (e.g. executable or binary files).

Below is the equivalence between Text and Unicode versus Hexadecimal pattern:

Text & Unicode | Hexadecimal pattern
"THIS IS TEXT" | 54 48 49 53 20 49 53 20 41 20 54 45 58 54
"THIS IS UNICODE" | 00 54 00 48 00 49 00 53 00 20 00 49 00 53 00 20 00 55 00 4E 00 49 00 43 00 4F 00 44 00 45

More info by request trough the support forum.


Path masks

The Path masks contain list of path or locations where search from, separated by semicolon ( ; ).

Example:

Mask | Scope
C: ; D: ; E: | Search into current folders of C, D and E drives
C:\ ; D:\ ; E:\ | Search into root folders of C, D and E drives
C:\Windows | Search only into C:\Windows directory
C:\Windows ; F:\Temp | Search into C:\Windows and F:\Temp directories
C:\Program Files\FSL | Search into FSL folder in Program Files directory


Advanced guide

Super Finder XT: Advanced guide

The "Advanced" tab:

The Advanced tab show the advanced search options:

The Ribbon Menu button area contains:

· Date & Time...: Enable the Date & Time criteria.
· File Size: Enable the File Size criteria.
· Attributes: Enable the Attributes criteria.

The Operating Panel area contains:

· Search for: Super Finder XT can locate files or folders by:
Creation date: The creation date and time (default).
Modification date: The last modification date and time.
Access date: The last access date and time.
· After/Before date/time options: you can specify the date and time range:
After date: Determines the lower range of the file date; check this option to enable the respective selection field.
After time: Determines the lower range of the file time; check this option to enable the respective selection field.
Before date: Determines the upper range of the file date; check this option to enable the respective selection field.
Before time: Determines the upper range of the file time; check this option to enable the respective selection field.

Note: One or more of these range option can be selected at same time.

· File Size options: you can specify the desired attributes for the target files:
Minimum Size: Determines the lower range of the file size; check this option to enable the respective selection field.
Maximum Size: Determines the upper range of the file size; check this option to enable the respective selection field.
· Attributes options: you can specify the desired attributes for the target files:
A: Archive: Archive files
R: Read Only: Read only files
H: Hidden: Hidden files
S: System: System files
D: Directory: Directories
C: Compressed: Compressed files
E: Encrypted: Encrypted files
O: Offline: Offline files
RP: Reparse Point: Reparse Point files
SF: Sparse File: Sparse files
T: Temporary: Temporary files

Note: All attribute options have a three state mode: Yes, No and Irrelevant.

The "Supporters" tab:

The Supporters tab show some options available only in the Supporters edition of Super Finder XT:

The Ribbon Menu button area contains:

· Exclude paths from search (Speed-Up): Enable the paths exclusion list.
· Enable Keyboard Shortcut (HotKey): If checked Super Finder XT can be activated by pressing the customizable hotkey (Ctrl-Alt F by default).
· Show List Bands: Enable the light gray bands for the Found Files list.
· Show List Lines: Enable the grid lines for the Found Files list.

The Operating Panel area contains:

· Exclude paths from search (Speed-Up): In this tree view you can select predefined or custom paths to esclude from the search. This option dramatically increase the search speed.
· Add ustom path...: To add custom paths to exclusion list.
Click on red "X" symbol al the left of custom path to remove.
· HotKey: Here you can customize the activation keyboard shortcut (HotKey).

The "Setup" tab:

The Setup tab show all the program configuration option:

The Ribbon Menu button area contains:

· Please select your language:: Select your language from this pull down menu (default: English).
Note: We need translators! Please, read here if you want to translate into your languages or dialects.
· Black/Blue/Silver Skin: These options to select the color scheme (Skin) of Super Finder XT:

The Operating Panel area contains:

Basic Options:

· Load with Windows: If checked (default), Super Finder XT start minimized to Tray Bar when Windows start.
· Start minimized to Tray Bar: If checked (default), Super Finder XT start minimized to Tray Bar when executed.
· Close to Tray Bar: If checked (default), Super Finder XT will be minimized to Tray Bar instead of to be closed.
· Contextual Menu Integration: If checked (default), Super Finder XT can be activated by selecting the "Search... with Super Finder" item available from the right-click contextual menu of drives and folders.
Please note if running on Windows Vista: Super Finder XT must be "Run As Administrator" in order to enable/disable this option.
· Show Hints (tooltips): If checked, Super Finder XT show a short tips when the mouse is over a buttons, fields or other controls.
· Remember Names and Paths: If checked (default), the program store all four edit fields of the Search Parameters area (File Name, Exclude, Find Content and Path or Locations) in the registry of Windows and restore them at the program startup instead to setting to the default.
· Remember Checkboxes: If checked (default), the program store his settings in the registry of Windows and restore them at the program startup instead to setting to the default.
· Create Debug LOG file on Desktop: If checked, the program create a text file on Desktop with debugging informations.
· Enable multiple instances (Polygamy): if checked, multiple instances of Super Finder XT can be opened.

Advanced Options:

· Use Thread: If checked (default), the program performs search in threaded mode, allowing you to select the CPU time resources (priority) used.
· Priority: If Use Thread checked, you can select from (in order): Idle, Lowest, Lower, Normal (default), Higher, Highest and Time Critical.
Idle Priority has the lowest consumption of CPU time resources and Time Critical the highest.
· Automatic Check at Program startup: If checked (default), Super Finder XT perform onetime online check if new program update is available for download at program startup.
Note: If update check does not work, make sure the Windows Firewall have enabled Super Finder XT in their exceptions list.
The on-line check does not download any updates; simply notify if update is available from Freesoftland home page.
· Move to Recycle Bin instead of Delete: If checked (default), the program move the selected files or folders to recycle bin instead of delete.

Alerts Options:

· Ask before delete Exclusion Path: If checked (default), the program ask for permission to delete a custom path from the exclusion list.
· Ask before remove Plugin: If checked (default), the program ask for permission before remove an installed plugin.
· Ask before overwrite existing Plugin: If checked (default), the program ask for permission before overwrite an existing plugin.

Supporters version only:

The "Ask before delete Exclusion Path" option is enabled only in the Supporters edition of Super Finder XT.

The "Plugin" tab:

The Plugin tab show the list of currently installed plugins (program extensions):

The Ribbon Menu button area contains:

· Add Plugin...: To add a new plugin to Super Finder XT.
· Remove Plugin: To remove the selected plugin.

The Operating Panel area contains:

· The Plugin list: Here you can enable or disable a plugin.
· The description and options panel for the selected plugin

Pre-installed plugins:

· Smart Search (built-in): If checked, allow to search for similar names without type any wild card characters ( *, ? ) at the begin, end or middle of partial file name or extension to search (see filename masks for an example).
Please note: Smart Search plugin will be disabled if a wildcard (*,?) will be used in the File Name field.

The "About" tab:

The Advanced tab show various help and information commands:

The Ribbon Menu button area contains:

· Help (User Manual): Show this help file.
· About this program...: Show information about this program.
· Do Check Now!: Perform connection to Freesoftland server and check if new program update is available for download.
Note: If update check does not work, make sure the Windows Firewall have enabled Super Finder XT in their exceptions list.
The on-line check does not download any updates; simply notify if update is available from Freesoftland home page.
· Donate: How to support Freesoftland with a donation.
· FSL Home: Open the FSL home page in the current Browser.
· FSL Products: Open the FSL products page in the current Browser.
· FSL Downloads: Open the FSL download page in the current Browser.
· FSL Forums: Open the FSL forums page in the current Browser.
· Send feedback to FSL: Open the current e-mail client with a blank document to FSL.

Continue to:

· Portable Mode
· Contacts


Portable Mode

Super Finder XT: Portable Mode

The Portable Mode installation:

Allow Super Finder XT to run on a portable device (Removable HD, USB Pen Disk, etc.).

All program settings will be stored locally into a program subdirectory; no keys will be written into the Windows registry,

The Portable mode must be chosen at the installation time:

Please note: the Portable Mode is only available in the Supporters edition of Super Finder XT.

Continue to:

· Search examples
· Contacts


Search examples

Super Finder XT: Search examples

Below are some search examples:

· Simple search (1. Into single drive and all his subdirectories)
· Simple search (2. Into single directory)
· Where are my documents?
· Where are my pictures?
· Clean disk (1. Search for unwanted files)
· Clean disk (2. Search for zero size files)
· Search for contents

Continue to:

· FAQ


Simple search (1. Into entire drive)

Search for single exact name file into single drive and all his subdirectories:

Settings to search (for example) "Test.exe" file into C drive and in all his subdirectories.

Parameter | Type | Value
File Name | editable text field | text.exe
and/or folder | option |
Smart Search Plugin | plugin | Unchecked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |


Simple search (2. Into single directory)

Search for single exact name file into single directory:

Settings to search (for example) "Test.exe" file into "Windows" directory of drive C.

Parameter | Type | Value
File Name | editable text field | text.exe
and/or folder | option |
Smart Search Plugin | plugin | Unchecked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\Windows
Include Subfolders | option | Unchecked
Recycle Bin Deep Scan | option |


Smart search (plugin)

Search for single file like "name" into more drives:

Settings to search (for example) for single file with name like "name" into C, D and F drives using the smart search option.

Possible found files names:

· MyNames.txt
· Test.Name
· NAME.DOC
· Long file name for test.bin
· And more...

Parameter | Type | Value
File Name | editable text field | name
and/or folder | option |
Smart Search Plugin | plugin | Checked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\ ; D:\ ; F:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |

Please note: The Smart Search plugin will be disabled if a wildcard (*,?) will be used in the File Name field.


Where are my documents?

Search for documents (Text, Docs and WordPad):

Settings to search all documents files into C, D and F drives and in all subdirectories of each drive.

Without Smart Search:

Parameter | Type | Value
File Name | editable text field | *.txt ; *.doc ; *.wri
and/or folder | option |
Smart Search Plugin | plugin | Unchecked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\ ; D:\ ; F:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |

With Smart Search:

Parameter | Type | Value
File Name | editable text field | .txt ; .doc ; .wri
and/or folder | option |
Smart Search | option | Checked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\ ; D:\ ; F:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |


Where are my pictures?

Search for most common types of pictures:

Settings to search all pictures files into C drive only and in all his subdirectories.

Without Smart Search:

Parameter | Type | Value
File Name | editable text field | *.bmp ; *.gif ; *.jpg ; *.jpeg ; *.png ; *.wmf
and/or folder | option |
Smart Search Plugin | plugin | Unchecked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |

With Smart Search:

Parameter | Type | Value
File Name | editable text field | .bmp ; .gif ; .jpg ; .jpeg ; .png ; .wmf
and/or folder | option |
Smart Search | option | Checked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |


Clean disk (1. Search for unwanted files)

Search for unwanted files (Backup files, Help index files, temporary files, etc...):

Settings to search and clean for all unwanted files into C drive only and in all his subdirectories.

Without Smart Search:

Parameter | Type | Value
File Name | editable text field | *.tmp ; *.bak ; *.~* ; ~*.* ; *.chk ; chklist.* ; *.gid ; *.fts ; *.ftg ; *._mp ; *.syd ; *.wbk ; *.xlk ; *.cdr_ ; *.#res ; *.@@@
and/or folder | option |
Smart Search Plugin | plugin | Unchecked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |

After the search (important):

1. Select ONLY the files you sure are unwanted.
2. If you want, delete these files to clean the disk.

Note: multiple items selection is available only in Supporters version of Super Finder XT.

With Smart Search:

Parameter | Type | Value
File Name | editable text field | .tmp ; .bak ; .~ ; .chk ; chklist. ; .gid ; .fts ; .ftg ; ._mp ; .syd ; .wbk ; .xlk ; .cdr_ ; .#res ; .@@@
and/or folder | option |
Smart Search | option | Checked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |

After the search (important):

1. Select ONLY the files you sure are unwanted.
2. If you want, delete this files to clean the disk.

Note: multiple items selection are available only in Supporters version of Super Finder XT.


Clean disk (2. Search for zero size files)

Search for files that have length zero:

Settings to search and clean for all files or folders that have zero bytes length into C drive only and in all his subdirectories.

Without Smart Search:

Parameter | Type | Value
File Name | editable text field | *.*
and/or folder | option | Unchecked
Smart Search Plugin | plugin | Unchecked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |
Maximum Size | editable numeric field | 0

After the search (important):

1. Click on "Size" header of Found Files List, to see the zero length files on top.
2. Select ONLY the files that have the "0 Kb" text in the size column cell of Found Files list.
3. If you want, delete these files to clean the disk.

Note: multiple items selection is available only in Supporters version of Super Finder XT.

With Smart Search:

Parameter | Type | Value
File Name | editable text field | *
and/or folder | option | Unchecked
Smart Search | option | Checked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Unchecked
Find Content | editable text field |
Text/Unicode/Hex | option |
Whole Word | option |
Ignore Case | option |
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |
Maximum Size | editable numeric field | 0

After the search (important):

1. Click on "Size" header of Found Files List, to see the zero length files on top.
2. Select ONLY the files that have the "0 Kb" text in the size column cell of Found Files list.
3. If you want, delete this files to clean the disk.

Note: multiple items selection are available only in Supporters version of Super Finder XT.


Search for contents

Search for all files which content is "hello" or "Hello" or "HELLO" into single drive:

Settings to search all files that contain the "hello" plain text into C drives and in all his subdirectories.

Without Smart Search:

Parameter | Type | Value
File Name | editable text field | *.*
and/or folder | option |
Smart Search Plugin | plugin | Unchecked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Checked
Find Content | editable text field | hello
Text/Unicode/Hex | option | Text option selected
Whole Word | option | Unchecked
Ignore Case | option | Checked
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |

With Smart Search:

Parameter | Type | Value
File Name | editable text field | *
and/or folder | option |
Smart Search | plugin | Checked
Exclude | option | Unchecked
Exclude | editable text field |
Find Content | option | Checked
Find Content | editable text field | hello
Text/Unicode/Hex | option | Text option selected
Whole Word | option | Unchecked
Ignore Case | option | Checked
Use ? Wildcard | option |
Path or Location | editable text field | C:\
Include Subfolders | option | Checked
Recycle Bin Deep Scan | option |


FAQ

Super Finder XT: FAQ

 Previous

Frequently Asked Questions (FAQ):

Below are some FAQ we have collected from question e-mails we have received.

Note: is a work in progress list...; if you have some questions not listed below, please contact us.

Q: Your work is useful for me... How I can donate some money to support your development?

A: Many thanks for your intentions! Please go here.

Q: Where I can get the Supporters edition of your program?

A: You must be a Supporter in order to get the Supporters edition.

Q: How I can become a Supporter?

A: Please read here.

Q: I want to use your program for commercial use. I need more information.

A: Please contact us for more information about commercial use.

Continue to:

· Contacts